#-----------------------------------------------------------------------------------------------------------------#
#                                                                                                                 #
#     __  __ _   _ _____ _    _____   _____ ___  ___ ___    ___ _  ___   _____ _  _ _____ ___  ___ ___ ___ ___    #
#    |  \/  | | | |_   _| |  |_ _\ \ / / __| _ \/ __| __|  |_ _| \| \ \ / / __| \| |_   _/ _ \| _ \_ _| __/ __|   #
#    | |\/| | |_| | | | | |__ | | \ V /| _||   /\__ \ _|    | || .` |\ V /| _|| .` | | || (_) |   /| || _|\__ \   #
#    |_|  |_|\___/  |_| |____|___| \_/ |___|_|_\|___/___|  |___|_|\_| \_/ |___|_|\_| |_| \___/|_|_\___|___|___/   #
#                                                                                                                 #
#                                                                                                                 #
#                                                                                                                 #
#                                                                                                                 #
#            WIKI:        https://mvplugins.org/inventories/                                                      #
#            DISCORD:     https://discord.gg/NZtfKky                                                              #
#            BUG REPORTS: https://github.com/Multiverse/Multiverse-Inventories/issues                             #
#            DONATE:      https://github.com/sponsors/Multiverse                                                  #
#                                                                                                                 #
#                                                                                                                 #
#            New options are added to this file automatically. If you manually made changes                       #
#            to this file while your server is running, please run `/mvinv reload` command.                       #
#                                                                                                                 #
#-----------------------------------------------------------------------------------------------------------------#
  
  
share-handling:
  # If this is set to true, it will enable bypass permissions (Check the wiki for more info.)
  enable-bypass-permissions: false
  
  # If this is set to true, players will have different inventories/stats for each game mode.
  # Please note that old data migrated to the version that has this feature will have their data copied for both game modes.
  enable-gamemode-share-handling: false
  
  # If set to true, any world not listed in a group will automatically be assigned to the 'default' group!
  default-ungrouped-worlds: false
  
  # When set to true, optional shares WILL be utilized in cases where a group does not cover their uses for a world.
  # An example of this in action would be an ungrouped world using last_location. When this is true, players will return to their last location in that world.
  # When set to false, optional shares WILL NOT be utilized in these cases, effectively disabling it for ungrouped worlds.
  use-optionals-for-ungrouped-worlds: true
  
  # You must specify optional shares you wish to use here or they will be ignored.
  # Built-in optional shares are: "economy" and "last_location".
  active-optional-shares: []
  
  
sharables:
  # When enabled, we will validate the bed/anchor respawn location on group/world change.
  # The validation checks if the bed/anchor block still exists at the saved location and is usable.
  # When the validation fails, the respawn location will be cleared and default world spawn will be used instead.
  # Disable this if you don't want validation, or you want another plugin to handle respawn logic.
  validate-bed-anchor-respawn-location: true
  
  # When set to true, the last location of the player will be reset when they die.
  # This is useful if they respawn in a different world and you do not want them to return to their death location.
  reset-last-location-on-death: false
  
  # When enabled, the last location of the player will be applied for any teleportation.
  # This is useful as you want to use the last location for any teleportation, such as the warp system.
  # When disabled, you can only use `/mv tp ll:worldname` to teleport to the player's last location.
  apply-last-location-for-all-teleports: true
  
  # When enabled, we will use paper's improved byte serialization for inventory data.
  # When disabled, we will use the legacy configuration serialization method.
  # !!!!!BIG NOTE:
  #   This option is only applicable on PAPERMC.
  #   Once you enable this option, you cannot change your server software back to SPIGOT.
  # ------------
  # Byte serialization will use minecraft's NBT format. NBT is safer for data migrations as it will use the built in 
  # data converter instead of bukkits dangerous serialization system. This will fix various issues with the inventory data
  # such as Skulker Box data loss, equip-sound crash, FoodEffect error, and more.
  use-byte-serialization-for-inventory-data: false
  
  
performance:
  # Minecraft will already load the most up-to-date player data and this option will generally be redundant.
  # The only possible edge case uses is if you have a need to always modify the mvinv playerdata while the player is offline.
  apply-playerdata-on-join: false
  
  # By default, even when the group shares all or going to a world within the same group, the world profile will still be written to disk.
  # This will ensure that the world profile is always up-to-date, so when removing the world from the group, it will not be missing data.
  # However, if you are certain that your world will always be in a group, you can set this to false to slightly improve performance.
  always-write-world-profile: true
  
  # Pre-loads player data into caches when joining the server.
  # This will reduce the load time on first teleport to the world/group, with the cost of increased memory usage and join time.
  preload-data-on-join:
    worlds: []
    groups: []
  
  # NOTE: Cache options require a server restart to take effect.
  cache:
    player-file-cache-size: 2000
    player-file-cache-expiry: 60
    player-profile-cache-size: 6000
    player-profile-cache-expiry: 60
    global-profile-cache-size: 500
    global-profile-cache-expiry: 60
  
  
misc:
  # This config option defines whether or not Multiverse should register the PlaceholderAPI hook.
  # This only applies if PlaceholderAPI is installed.
  register-papi-hook: true
  
  # These are the maximum sizes for each inventory type. You should not change these values unless
  # you have a plugin or feature that changes the size of these inventories.
  # -------
  # Changing these values without a plugin or feature that increases the size of these inventories
  # may result in errors and loss of items when switching worlds/groups. This config option is merely
  # to resolve compatibility issues with other plugins/features that alter inventory sizes.
  # -------
  # One notable example is if you used purpur's config option to increase ender chest size.
  max-items-size:
    inventory: 36
    ender-chest: 27
    armor: 4
  
  
# Do not edit the following values!!!!!
first-run: false
version: 5.0
